EdWare para robot Edison: fallo en instalación local

Foro para que los usuarios de MAX consulten las dudas que puedan tener.

Moderadores: dgonzalezarroyo, ismagago, ezequiel, jrodriguezpascua

Antonio Ruiz
Mensajes: 174
Registrado: 21 Feb 2008, 09:32

EdWare para robot Edison: fallo en instalación local

Mensaje por Antonio Ruiz »

Hola:

He intentado instalar en local en MAX 9.5 64 bits el software EdWare para el robot Edison. Se puede ejecutar en Web y puedo arrastrar los bloques.
https://edwareapp.com/#
Descarga para instalación local:
http://edison.micro-log.com/software/

Seguramente es tema de la propia aplicación "en local" y deberé recurrir a otro foro de la misma, pero pregunto por si pudiera ser otro problema relacionado con los paquetes a instalar en MAX.

Descargué y descomprimí. Cuando intenté ejecutar salía una pantalla y se cerraba instantáneamente, así que recurrí a la carpeta Docs donde está la documentación.

El proceso a seguir es largo, pues varios de los paquetes ahora se llaman de otra manera y hay que instalar además pip y git.

En resumen. El resultado es el que se ve en la imagen ajdunta.



El error en terminal aparece como....

madrid@max95:~/Descargas/EdWare-Linux-Src-1.0.6$ python edware.py
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2266:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
/home/madrid/Descargas/EdWare-Linux-Src-1.0.6/gui/var_win.py:113: wxPyDeprecationWarning: Call to deprecated item. Use InsertItem instead.
index = self.list.InsertStringItem(sys.maxint, "<NEW>")
/home/madrid/Descargas/EdWare-Linux-Src-1.0.6/gui/var_win.py:114: wxPyDeprecationWarning: Call to deprecated item. Use SetItem instead.
self.list.SetStringItem(index, 1, "")
/home/madrid/Descargas/EdWare-Linux-Src-1.0.6/gui/var_win.py:115: wxPyDeprecationWarning: Call to deprecated item. Use SetItem instead.
self.list.SetStringItem(index, 2, "")
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown
11:35:54: Debug: ClientToScreen cannot work when toplevel window is not shown

Luego, al pulsar sobre uno de los bloques rojos no se arrastra y añade el error:

Traceback (most recent call last):
File "/home/madrid/Descargas/EdWare-Linux-Src-1.0.6/gui/program_pallete.py", line 57, in on_left_down
self.parent_on_left_down(event)
File "/home/madrid/Descargas/EdWare-Linux-Src-1.0.6/gui/pallete_win.py", line 149, in parent_on_left_down
self.drag_name, self.drag_bmap = self.hit_test(pt)
File "/home/madrid/Descargas/EdWare-Linux-Src-1.0.6/gui/pallete_win.py", line 121, in hit_test
if (rect.InsideXY(pt.x, pt.y)):
AttributeError: 'Rect' object has no attribute 'InsideXY'

Las instrucciones de la documentación son las siguientes, pero hay que actualizar nombres de paquetes y archivos e instalar pip y git.:

*** Linux manually ********************

Depending your linux distribution, the details of installing software from your
package manager will vary. Please investigate how to install packages for your
linux distribution.

First try to find the packages mentioned below (except for EdWare!) in your
distribution's package manage and install them from there. If you can't find them
there, then go to the websites listed to install them manually.

1) Install the latest version 2 of python
(version 2.7.9, https://www.python.org/downloads/)

2) Install the wxPython version that matches your python
(version http://wxpython.org/download.php#linux)

3) Install the PyAudio version that matches your python
(http://people.csail.mit.edu/hubert/pyaudio/#downloads)
[NOTE -- pygame can be used instead of pyaudio]

3.1) Alsa and it's plugins must be installed for the sound output
(particularly libasound_module_conf_pulse.so). This is normal on
most linux distributions, but must be installed if absent.

4) Install the JsonPickle version that matches your python version
(http://jsonpickle.github.io/#download-install)

5) Pick or create a directory to hold EdWare (say under your home directory)
(e.g. cd ~ ; mkdir edware)

6) Unzip the EdWare source into this directory
(e.g. cd edware ; unzip ../EdWareSrc-x.y.z.zip)

7) Execute edware , in this new directory, by typing: "python edware.py"
(e.g. cd ~/edware ; python edware.py)

Note -- if you have both python 3 and python 2 installed, you may have to invoke
edware by typing: "python2 edware.py".

8) From here on, just need to open a terminal window, go to the edware directory
and type "python edware.py" (or "python2 edware.py")


NOTE -- a user contributed this info (edited to add libasound):
for Ubuntu 14.04, install the needed packages with:
apt-get install python-jsonpickle python-pyaudio python-wxgtk2.8 libasound2-plugins


Gracias.

Antonio Ruiz
Adjuntos
capt.png
capt.png (243 KiB) Visto 1577 veces
Responder